// OCXTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "OCXTest.h"
#include "OCXTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COCXTestDlg dialog

COCXTestDlg::COCXTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COCXTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COCXTestDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void COCXTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COCXTestDlg)
	DDX_Control(pDX, IDC_OCXEXMPLCTRL1, m_OnOffButton);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(COCXTestDlg, CDialog)
	//{{AFX_MSG_MAP(COCXTestDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COCXTestDlg message handlers

BOOL COCXTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void COCXTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR COCXTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BEGIN_EVENTSINK_MAP(COCXTestDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(COCXTestDlg)
	ON_EVENT(COCXTestDlg, IDC_OCXEXMPLCTRL1, -600 /* Click */, OnClickOcxexmplctrl1, VTS_NONE)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void COCXTestDlg::OnClickOcxexmplctrl1() 
{
    //Get the current ModalResult value.
    long liModalResult;
    liModalResult = m_OnOffButton.GetModalResult();

    //Determine which modal result was returned and display a message.
    switch (liModalResult)
    {
    case -1:
        MessageBox("None button pressed", "State of Control", MB_OK);
        break;
    case 1:
        MessageBox("OK button pressed", "State of Control", MB_OK);
        break;
    case 2:
        MessageBox("Cancel button pressed", "State of Control", MB_OK);
        break;
    case 3:
        MessageBox("Abort button pressed", "State of Control", MB_OK);
        break;
    case 4:
        MessageBox("Retry button pressed", "State of Control", MB_OK);
        break;
    case 5:
        MessageBox("Ignore button pressed", "State of Control", MB_OK);
        break;
    case 6:
        MessageBox("Yes button pressed", "State of Control", MB_OK);
        break;
    case 7:
        MessageBox("No button pressed", "State of Control", MB_OK);
        break;
    case 8:
        MessageBox("Button is On", "State of Control", MB_OK);
        break;
    case 9:
        MessageBox("Button is Off", "State of Control", MB_OK);
        break;
    }
}
